Package org.apache.commons.compress.harmony.pack200

# Class Segment.SegmentMethodVisitor

java.lang.Object
org.objectweb.asm.MethodVisitor
org.apache.commons.compress.harmony.pack200.Segment.SegmentMethodVisitor

Enclosing class:
  `Segment`

public class Segment.SegmentMethodVisitor extends org.objectweb.asm.MethodVisitor
This class implements MethodVisitor to visit the contents and metadata related to methods in a class file. It delegates to BcBands for bytecode related visits and to ClassBands for everything else.

- ## Field Summary

  ### Fields inherited from class org.objectweb.asm.MethodVisitor

  `api, mv`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SegmentMethodVisitor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.objectweb.asm.AnnotationVisitor`
  `visitAnnotation(String desc, boolean visible)`
  `org.objectweb.asm.AnnotationVisitor`
  `visitAnnotationDefault()`
  `void`
  `visitAttribute(org.objectweb.asm.Attribute attribute)`
  `void`
  `visitCode()`
  `void`
  `visitEnd()`
  `void`
  `visitFieldInsn(int opcode, String owner, String name, String desc)`
  `void`
  `visitFrame(int arg0, int arg1, Object[] arg2, int arg3, Object[] arg4)`
  `void`
  `visitIincInsn(int var, int increment)`
  `void`
  `visitInsn(int opcode)`
  `void`
  `visitIntInsn(int opcode, int operand)`
  `void`
  `visitJumpInsn(int opcode, org.objectweb.asm.Label label)`
  `void`
  `visitLabel(org.objectweb.asm.Label label)`
  `void`
  `visitLdcInsn(Object cst)`
  `void`
  `visitLineNumber(int line, org.objectweb.asm.Label start)`
  `void`
  `visitLocalVariable(String name, String desc, String signature, org.objectweb.asm.Label start, org.objectweb.asm.Label end, int index)`
  `void`
  `visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)`
  `void`
  `visitMaxs(int maxStack, int maxLocals)`
  `void`
  `visitMethodInsn(int opcode, String owner, String name, String desc)`
  `void`
  `visitMultiANewArrayInsn(String desc, int dimensions)`
  `org.objectweb.asm.AnnotationVisitor`
  `visitParameterAnnotation(int parameter, String desc, boolean visible)`
  `void`
  `visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label... labels)`
  `void`
  `visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, String type)`
  `void`
  `visitTypeInsn(int opcode, String type)`
  `void`
  `visitVarInsn(int opcode, int var)`

  ### Methods inherited from class org.objectweb.asm.MethodVisitor

  `getDelegate, visitAnnotableParameterCount, visitInsnAnnotation, visitInvokeDynamicInsn, visitLocalVariableAnnotation, visitMethodInsn, visitParameter, visitTryCatchAnnotation, visitTypeAnnotation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SegmentMethodVisitor

    public SegmentMethodVisitor()

- ## Method Details

  - ### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc, boolean visible)
    Overrides:
      `visitAnnotation` in class `org.objectweb.asm.MethodVisitor`

  - ### visitAnnotationDefault

    public org.objectweb.asm.AnnotationVisitor visitAnnotationDefault()
    Overrides:
      `visitAnnotationDefault` in class `org.objectweb.asm.MethodVisitor`

  - ### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attribute)
    Overrides:
      `visitAttribute` in class `org.objectweb.asm.MethodVisitor`

  - ### visitCode

    public void visitCode()
    Overrides:
      `visitCode` in class `org.objectweb.asm.MethodVisitor`

  - ### visitEnd

    public void visitEnd()
    Overrides:
      `visitEnd` in class `org.objectweb.asm.MethodVisitor`

  - ### visitFieldInsn

    public void visitFieldInsn(int opcode, String owner, String name, String desc)
    Overrides:
      `visitFieldInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitFrame

    public void visitFrame(int arg0, int arg1, Object[] arg2, int arg3, Object[] arg4)
    Overrides:
      `visitFrame` in class `org.objectweb.asm.MethodVisitor`

  - ### visitIincInsn

    public void visitIincInsn(int var, int increment)
    Overrides:
      `visitIincInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitInsn

    public void visitInsn(int opcode)
    Overrides:
      `visitInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitIntInsn

    public void visitIntInsn(int opcode, int operand)
    Overrides:
      `visitIntInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitJumpInsn

    public void visitJumpInsn(int opcode, org.objectweb.asm.Label label)
    Overrides:
      `visitJumpInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitLabel

    public void visitLabel(org.objectweb.asm.Label label)
    Overrides:
      `visitLabel` in class `org.objectweb.asm.MethodVisitor`

  - ### visitLdcInsn

    public void visitLdcInsn(Object cst)
    Overrides:
      `visitLdcInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitLineNumber

    public void visitLineNumber(int line, org.objectweb.asm.Label start)
    Overrides:
      `visitLineNumber` in class `org.objectweb.asm.MethodVisitor`

  - ### visitLocalVariable

    public void visitLocalVariable(String name, String desc, String signature, org.objectweb.asm.Label start, org.objectweb.asm.Label end, int index)
    Overrides:
      `visitLocalVariable` in class `org.objectweb.asm.MethodVisitor`

  - ### visitLookupSwitchInsn

    public void visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)
    Overrides:
      `visitLookupSwitchInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitMaxs

    public void visitMaxs(int maxStack, int maxLocals)
    Overrides:
      `visitMaxs` in class `org.objectweb.asm.MethodVisitor`

  - ### visitMethodInsn

    public void visitMethodInsn(int opcode, String owner, String name, String desc)
    Overrides:
      `visitMethodInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitMultiANewArrayInsn

    public void visitMultiANewArrayInsn(String desc, int dimensions)
    Overrides:
      `visitMultiANewArrayInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitParameterAnnotation

    public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int parameter, String desc, boolean visible)
    Overrides:
      `visitParameterAnnotation` in class `org.objectweb.asm.MethodVisitor`

  - ### visitTableSwitchInsn

    public void visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label... labels)
    Overrides:
      `visitTableSwitchInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitTryCatchBlock

    public void visitTryCatchBlock(org.objectweb.asm.Label start, org.objectweb.asm.Label end, org.objectweb.asm.Label handler, String type)
    Overrides:
      `visitTryCatchBlock` in class `org.objectweb.asm.MethodVisitor`

  - ### visitTypeInsn

    public void visitTypeInsn(int opcode, String type)
    Overrides:
      `visitTypeInsn` in class `org.objectweb.asm.MethodVisitor`

  - ### visitVarInsn

    public void visitVarInsn(int opcode, int var)
    Overrides:
      `visitVarInsn` in class `org.objectweb.asm.MethodVisitor`